# DataExchange
TKIGES
IGESSolid

# IGESSolid Class Reference

This package consists of B-Rep and CSG Solid entities
.

`#include <IGESSolid.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init ()
| Prepares dynamic data (Protocol, Modules) for this package .
static Standard_EXPORT Handle_IGESSolid_Protocol | Protocol ()
| Returns the Protocol for this Package .

## Member Function Documentation

static Standard_EXPORT void IGESSolid::Init | ( |  | ) | `[static]`

void IGESSolid::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESSolid::operator new | ( | size_t | size | ) | `[inline]`

void* IGESSolid::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_IGESSolid_Protocol IGESSolid::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- IGESSolid.hxx